astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- VO Simple Cone Search (`astroquery.vo_conesearch`) »
- VOSCatalog

# VOSCatalog

class astroquery.vo_conesearch.vos_catalog.VOSCatalog(tree)

  Bases: `VOSBase`

  A class to represent VO Service Catalog.

  Parameters:
    tree JSON tree
  Raises:
    VOSError

      Missing necessary key(s).

  Methods Summary

  `create`(title, url, **kwargs) | Create a new VO Service Catalog with user parameters.
  `delete_attribute`(key) | Delete given metadata key and its value from the catalog.

  Methods Documentation

  classmethod create(title, url, **kwargs)

    Create a new VO Service Catalog with user parameters.

    Parameters:
      title str

        Title of the catalog.

      url str

        Access URL of the service. This is used to build queries.

      kwargs dict

        Additional metadata as keyword-value pairs describing the catalog, except ‘title’ and ‘url’.

    Returns:
      cat `VOSCatalog`

        VO Service Catalog.

    Raises:
      TypeError

        Multiple values given for keyword argument.

  delete_attribute(key)

    Delete given metadata key and its value from the catalog.

    Parameters:
      key str

        Metadata key to delete.

    Raises:
      KeyError

        Key not found.

      VOSError

        Key must exist in catalog, therefore cannot be deleted.